Summary: A utility for retrieving files using the HTTP or FTP protocols.
Name: wget
Version: 1.6
Release: 1
Group: Applications/Internet
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/wget/wget-%{version}.tar.gz 
Provides: webclient
BuildRoot: /var/tmp/%{name}-root

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols.  Wget features include the ability to work in the
background while you're logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP or
FTP, or if you need a utility for mirroring web sites or FTP directories.


%prep
%setup -q


%build
%configure --disable-nls
make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


%post
/sbin/install-info %{_infodir}/wget.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/wget.info.gz %{_infodir}/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL MAILING-LIST NEWS PATCHES README TODO
%config /etc/wgetrc
%{_bindir}/wget
%{_infodir}/*


%clean
rm -rf $RPM_BUILD_ROOT

